Package org.apache.synapse.transport.netty.api

## Class HttpWebSocketInboundEndpointHandler

- java.lang.Object
- - org.apache.synapse.transport.netty.api.HttpWebSocketInboundEndpointHandler

-     public class HttpWebSocketInboundEndpointHandler
      extends Object

  API class to access Pass-Through (HTTP) and WebSocket Core Inbound Endpoint management classes.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpWebSocketInboundEndpointHandler()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `closeEndpoint​(int port)` | Close ListeningEndpoint running on the given port.
    `static boolean` | `startListener​(org.apache.axis2.context.ConfigurationContext configurationContext, HttpWebSocketInboundEndpointConfiguration httpWebSocketConfig)` | Start Endpoint Listener.
    `static boolean` | `startSSLListener​(org.apache.axis2.context.ConfigurationContext configurationContext, HttpWebSocketInboundEndpointConfiguration httpWebSocketConfig)` | Start SSL Endpoint Listener.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpWebSocketInboundEndpointHandler

          public HttpWebSocketInboundEndpointHandler()

  - ### Method Detail

    - #### startListener

          public static boolean startListener​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                              HttpWebSocketInboundEndpointConfiguration httpWebSocketConfig)

      Start Endpoint Listener.
      Parameters:
        `configurationContext` - configuration context
        `httpWebSocketConfig` - configuration that represents http and websocket inbound endpoint
      Returns:
        whether the Endpoint started successfully or not

    - #### startSSLListener

          public static boolean startSSLListener​(org.apache.axis2.context.ConfigurationContext configurationContext,
                                                 HttpWebSocketInboundEndpointConfiguration httpWebSocketConfig)

      Start SSL Endpoint Listener.
      Parameters:
        `configurationContext` - configuration context
        `httpWebSocketConfig` - configuration that represents http and websocket inbound endpoint
      Returns:
        whether the Endpoint started successfully or not

    - #### closeEndpoint

          public static boolean closeEndpoint​(int port)

      Close ListeningEndpoint running on the given port.
      Parameters:
        `port` - Port of ListeningEndpoint to be closed
      Returns:
        IS successfully closed